#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QTreeWidgetItem>
#include <QDir>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    void showDir (QTreeWidgetItem * target, QDir dir);

    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

    void readText(QString path);

private slots:
    void on_action_Quit_triggered();

    void on_action_Run_triggered();

    void on_treeWidget_itemClicked(QTreeWidgetItem *item, int column);

private:
    Ui::MainWindow *ui;
};

#endif // MAINWINDOW_H
